"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.shouldCalc = void 0;
const types_1 = require("../types");
const { Unit, Group } = types_1.CommandType;
const { Collapsed, Hidden } = types_1.DisplayState;
const shouldCalc = (command) => {
  switch (command.type) {
    case Unit:
      if (command.displayState !== Hidden) return true;
      break;
    case Group:
      if (command.displayState === Collapsed) return true;
      break;
  }
  return false;
};
exports.shouldCalc = shouldCalc;
