"use strict";
/* eslint-disable @typescript-eslint/explicit-module-boundary-types */
Object.defineProperty(exports, "__esModule", { value: true });
exports.println = exports.newLine = exports.log = exports.warn = exports.error = void 0;
const error = (s) => {
  process.stderr.write("[s-l-t-r] [ERROR] ");
  console.error(s);
};
exports.error = error;
const warn = (s) => {
  process.stderr.write("[s-l-t-r] [warn]  ");
  console.warn(s);
};
exports.warn = warn;
const log = (s) => {
  process.stdout.write("[s-l-t-r] ");
  console.log(s);
};
exports.log = log;
const newLine = () => {
  process.stdout.write("\n");
};
exports.newLine = newLine;
const println = (s) => {
  process.stdout.write(s);
  process.stdout.write("\n");
};
exports.println = println;
