/** `true` if debug log should be emitted. */
export declare let logDebug: boolean;

/** Enables/disables emitting debug log. */
export declare const emitVerboseLog: (yes?: boolean) => void;

/** Emits debug log. */
export declare const debug: (s: string) => void;

/** Emits debug log of multiple lines. */
export declare const debugLines: (lines: string[], linePrefix?: string) => void;
export declare const traceRun: (s: string) => void;
export declare const traceDone: (s: string) => void;
export declare const traceRunDone: (s: string) => void;
